Dpkg::Email::AddressList(3perl)

NAME
Dpkg::Email::AddressList - manage email address lists

DESCRIPTION
It provides a class which is able to manage email address lists, as used in deb822(5) data.

FUNCTIONS

$regex = PARSE_REGEX()
    Returns the regex used to parse email address lists.

    Matches on a single entire email address.

$regex = CHECK_REGEX()
    Returns the regex used to validate email address lists.

METHODS

$addrlist = Dpkg::Email::AddressList->new($string)
    Create a new object that can hold an email address list.

@addrlist = $addrlist->addrlist()
    Returns a list of Dpkg::Email::Address objects that art part of this email address list object.

$bool = $addrlist->parse($string)
    Parses $string into the current object replacing the current address list.

    Will die on parse errors.

$bool = $addrlist->contains($addr)
    Checks whether the $addr Dpkg::Email::Address is present in the email address list.

$string = $addrlist->as_string()
    Returns the email address list formatted as a string of email addresses separated by commas.

CHANGES

  Version 0.xx
This is a private module.